Page MenuHomePhabricator

HTMLSizeFilterField should have an OOUI alternative
Closed, ResolvedPublic

Event Timeline

Prtksxna triaged this task as Normal priority.Dec 29 2017, 4:20 AM
Prtksxna created this task.
Prtksxna claimed this task.Dec 29 2017, 4:48 AM

Change 400627 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/core@master] [wip] mw.widgets: Add SizeFilterWidget and its PHP implementation

https://gerrit.wikimedia.org/r/400627

@matmarex There is no PHP version of ButtonSelectWidget, right? What do you think is better, to create one, or to just use a radio?

Either would be fine. I would just use a radio to keep things simple.

Either would be fine. I would just use a radio to keep things simple.

Using RadioSelectInputWidget now. Thanks!

Change 400627 merged by jenkins-bot:
[mediawiki/core@master] mw.widgets: Add SizeFilterWidget and its PHP implementation

https://gerrit.wikimedia.org/r/400627

Volker_E closed this task as Resolved.Mar 1 2018, 6:01 PM
Volker_E removed a project: Patch-For-Review.
matmarex reopened this task as Open.Mar 1 2018, 8:30 PM

This is almost fixed, we didn't yet make HTMLSizeFilterField use the new SizeFilterWidget :)

Change 415652 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] HTMLSizeFilterField: Add OOUI version

https://gerrit.wikimedia.org/r/415652

Change 415652 merged by jenkins-bot:
[mediawiki/core@master] HTMLSizeFilterField: Add OOUI version

https://gerrit.wikimedia.org/r/415652

Volker_E closed this task as Resolved.Mar 21 2018, 12:50 AM
Volker_E reassigned this task from Prtksxna to matmarex.
Volker_E removed a project: Patch-For-Review.